<style type="text/css">

	#msg_form input[type="checkbox"]
	{
		float: left;
		margin-left: 12px;
	}
	#msg_form .cx-button
	{
		margin-right: 5px;
		margin-top: 10px;
	}
	#legend {
		margin: 5px 0 0 0;
		border: 1px solid #CCC;
		width: 131px;
		padding: 10px;
		float: left;
	}
	#legend .new_msg {
		height: 20px;
		width: 20px;
		background-color: #A1FFD2;
		float: left;
		border: 1px solid #CCC;
		margin-right: 5px;
	}
	.cx-grid table tbody tr.new_msg
	{
		background-color: #A1FFD2;
	}
	.grid-show-count
	{
		clear: both;
		padding: 2px 19px;
		margin: 10px 0;
	}
	
	.cx-grid-type-msg 
	{
		width: 417px;
	}
</style>
<div class="form-common gray c-filter-form form">
	<form method="GET" action="" id="msg_form">
		<fieldset class="inner" style="width: 99%;">
			<div class="inner">
				<label for="f-dates-defined">Date:</label>
				<select id="f-dates-defined" class="w14 f-dates-defined">
						<option value="" selected="selected"> - any- </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
						<option value="month_ago">Month Ago</option>
				</select>
			</div>
			<div class="inner">
				<label for="date_filter_from">From</label>
				<input type="text" id="date_filter_from" name="date_filter_from" class="date">
			</div>
			<div class="inner">
				<label for="date_filter_to">To</label>
				<input type="text" id="date_filter_to" name="date_filter_to" class="date">
			</div>
			<div class="inner">
				<label for="filter_users">Users</label>
					<select id="filter_users" name="filter_users">
						<option value="">---</option>
						<? foreach($this->users as $user): ?>
						<option value="<?= $user->id ?>"><?= $user->username ?></option>
						<? endforeach;	?>
					</select>
			</div>
			<div class="inner">
				<label for="type">Type</label>
				<select name="type" class="txt w12">
					<option value="">- any -</option>
					<? foreach($this->user_types as $type): ?>
					<option value="<?= $type->type ?>"><?= $type->type ?></option>
					<? endforeach; ?>
				</select>
			</div>
			<div style="margin-top: 20px;">
				<div class="inner">
					<label for="inbox" style="	float: left;margin-right: 5px;">Inbox</label>
					<input type="radio" value="inbox" name="radio" id="inbox" />
				</div>
				<div class="inner">
					<label for="outbox" style="	float: left;margin-right: 5px;">Outbox</label>
					<input type="radio" value="outbox" name="radio" id="outbox" />
				</div>
				<div class="inner">
					<label for="unread" style="	float: left;margin-right: 5px;">Unread</label>
					<input type="checkbox" value="0" name="unread" id="unread" />
				</div>
			</div>
			<input type="hidden" id="my_id" value="<?= $this->user_id ?>" />
			<div id="filter-btn-reset"></div>
		</fieldset>
		<div class="clear"></div>
	</form>
</div>
<div id="new-msg"></div>
<div id="legend">
	<div class="new_msg"></div>
	<p style="margin-top: 4px;"> - New Messages</p>
</div>
<div id="cx-grid-show-count" class="fleft grid-show-count"><span></span> - Messages Found</div>
<div class="clear"></div>
<div id="cx-grid"></div>

<script type="text/javascript">

window.addEvent('domready',function(){
	
	var getFilterParams = function () 
	{ 
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};	

	var clearForm = function() {
		var selects = $('msg_form').getElements('select>option');
		selects.set('selected','');
		selects[0].set('selected','selected');
		$('msg_form').getElements('input[type="text"]').set('value','');;
		$('msg_form').getElements('input[type="radio"],input[type="checkbox"]').set('checked','');
		grid.load();
	};
	var Send = function()
	{
		var selected = $('users').getSelected()[0].get('value');
		$$('#add_msg label').setStyles({'color':'#000'});
		$('error').set('html','').setStyle('color','#ff0000');
		if(!selected || selected=='')
		{
			$('users').getPrevious('label').setStyles({'color':'#ff0000'});
			$('error').set('html',"Select User");
			return false;
		}
		if($('title').get('value').trim()=='')
		{
			$('title').getPrevious('label').setStyles({'color':'#ff0000'});
			$('error').set('html',"Title is empty");
			return false;
		}
		if($('msg').get('value').trim()=='')
		{
			$('msg').getPrevious('label').setStyles({'color':'#ff0000'});
			$('error').set('html',"Meesage is empty");
			return false;
		}
		new Request({
			url: '<?= $this->baseUrl() ?>/settings/new-msg',
			type: 'POST',
			data:$('add_msg').toQueryString(),
			onSuccess: function(res){
				if(res && res=='1')
				{	
					$('error').setStyle('color','#2ED62E');
					$('error').set('html',"Message has been send to "+$('users').getSelected()[0].get('html'));
					grid.load();
				}
			}
		}).send();
		
	}
	var RemoveMsg = function(data)
	{	 data = data.id?data:$('msg_form').retrieve('remove');
	
		if(confirm('Remove message "'+data.title+'" ?'))
		{
			new Request({
				url: '<?= $this->baseUrl() ?>/settings/remove-msg',
				type: 'POST',
				data:{'id':data.id,'from':data.from,'to':data.to},
				onSuccess: function(res){
					if(res && res=='1')
					{	$$('.cx-popup-btn-close').fireEvent('click');
						grid.load();
					}
				}
			}).send();
		}
	}

		var pop = new Cubix.Popup.Ajax({
				abar: [
					{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close },
					{ caption: 'Send', icon: 'accept', action: Send }
				],
				width: '100%'
		});
		var pop_msg = new Cubix.Popup.Ajax({
				abar: [
					{ caption: 'Forward', icon: 'accept', action:function(){
						$$('.cx-popup-btn-close').fireEvent('click');
						var data = $('msg_form').retrieve('remove');
						pop.setTitle('Forward Message: '+data.title);
						pop.load('<?= $this->baseUrl() ?>/settings/write-msg-view', function () {
							this.open();
					
							$('title').set('value',data.title);
							$('msg').set('value',data.msg);
							var users = $$('#users>option');
							users.set('selected','');
							users.each(function(el){
								var selected = data.to==$('my_id').get('value')?data.from:data.to;
								if(el.get('value')==selected)
								{
									el.set('selected','selected');
								}
								
							});
							
							
						});
					} },
					{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close },
					{ caption: 'Remove', icon: 'delete', action:RemoveMsg }
					
				],
				width: '100%'
		});
	
		 grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'From', field: 'from_name', type: 'string', sortable: true, width: '70px' },
			{ title: 'To', field: 'to_name', type: 'string', sortable: true, width: '70px' },
			{ title: 'Type', field: 'type', type: 'string', sortable: true, width: '70px' },
			{ title: 'Title', field: 'title', type: 'string', sortable: true, width: '70px' },
			{ title: 'Message', field: 'msg', type: 'new_msg', sortable: true, width: '70px' },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '70px' }
		],
		sort: {
			field: 'date',
			dir: 'DESC'
		},
		actions: [
				{ type: 'view', func: function (data) {
						pop_msg.setTitle("Message Title "+'"'+data.title+'"');
						pop_msg.load('<?= $this->baseUrl() ?>/settings/get-current-msg?id='+data.id+'&from='+data.from+'&to='+data.to, function () 
						{	$('msg_form').store('remove',data);
							this.open();
						  if(data.read!=1 && data.to==$('my_id').get('value'))
								grid.load();
						});
				}},
				{ type: 'remove', func: function (data) {
						RemoveMsg(data);
				}}
				],
		data: new Cubix.Grid.Loader({ url:'<?= $this->baseUrl() ?>/settings/get-msg', params: getFilterParams })
	});
		new Cubix.Button($('new-msg'), { onClick: function () {

		pop.setTitle('New Message');
		pop.load('<?= $this->baseUrl() ?>/settings/write-msg-view', function () {
					this.open();
			});
		}, icon: 'accept', caption: 'Write Message', classes: 'ml20' });
		
		new Cubix.Button($('filter-btn-reset'), { onClick: function () {
			clearForm();
		}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });
	
		initFormSubmit('msg_form');
		$$('#msg_form select,#msg_form input').addEvent('change', function(){
			grid.load();
		});

});
</script>